Subject: google cloud GCP TPU

From: Jim Dupont <[email-masked]>
Date: Fri, 15 Mar 2024 13:24:36 -0400

in the gcp machines I found /etc/environment
LD_PRELOAD="/usr/lib/x86_64-linux-gnu/libtcmalloc.so.4"
this caused all types of problems, I finally removed it and got guix to
load.
nix has the same error.
What I found is that libunwind is needed and if install that via guix I
was able to preload that libunwind from guix and get things to work.
that leads me to belive that libunwind should be part of the prereqs in the
bookstrap in guile-boostrap and that led me to the source of that module
that is so complex i got scared.
let me know what you think.
mike